di_parser_fieldinfo Struct Reference
Di_parser

Info about a parser field. More...

`#include <parser.h>`

## Data Fields

di_rstring | key
di_parser_fields_function_read * | read
di_parser_fields_function_write * | write
unsigned int | integer

## Detailed Description

Info about a parser field.

## Field Documentation

## integer

unsigned int integer

Simple value, usage is defined by the read and write functions. Most used with an offset of the field in the structure.

## key

di_rstring key

field name

## read

di_parser_fields_function_read* read

function for reading a field

Referenced by di_parser_rfc822_read().

## write

di_parser_fields_function_write* write

function for writing a field

Referenced by di_parser_rfc822_write_file().